using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace ShapeBlending
{
    /// <summary>
    /// Keeps the configuration of GUI lookout.
    /// </summary>
    class GuiLook
    {
        private Font m_font = new Font("Arial", 10, FontStyle.Bold);
        private Color m_activeTextColor = Color.Yellow;
        private Color m_inactiveTextColor = SystemColors.ControlDarkDark;
        private Color m_activeBorderColor = Color.FromArgb(100, 100, 0);
        private Color m_inactiveBorderColor = Color.DarkGray;
        private Color m_inactiveControlColor = Color.FromArgb(240, SystemColors.Control);
        private Color m_activeControlColor = Color.FromArgb(150, Color.Navy);

        private int m_fadeInterval = 100;

        public Font Font
        {
            get { return m_font; }
            set { m_font = value; }
        }

        public Color ActiveControlColor
        {
            get { return m_activeControlColor; }
            set { m_activeControlColor = value; }
        }

        public Color InactiveControlColor
        {
            get { return m_inactiveControlColor; }
            set { m_inactiveControlColor = value; }
        }

        public Color ActiveTextColor
        {
            get { return m_activeTextColor; }
            set { m_activeTextColor = value; }
        }

        public Color InactiveTextColor
        {
            get { return m_inactiveTextColor; }
            set { m_inactiveTextColor = value; }
        }

        public Color ActiveBorderColor
        {
            get { return m_activeBorderColor; }
            set { m_activeBorderColor = value; }
        }

        public Color InactiveBorderColor
        {
            get { return m_inactiveTextColor; }
            set { m_inactiveTextColor = value; }
        }

        public int FadeInterval
        {
            get { return m_fadeInterval; }
            set { m_fadeInterval = value; }
        }
    }
}
