using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace ShapeBlending
{
    public class KeyCodeMap
    {
        /// <summary>
        /// Maps from byte to windows form key.
        /// </summary>
        /// <param name="key">The key code.</param>
        /// <returns>Returns the windows form key.</returns>
        public static Keys GetKey(byte key)
        {
            if (key >= 97 && key <= 122)
                return (Keys)((int)Keys.A + (int)(key - 97));

            if (key >= 65 && key <= 90)
                return (Keys)((int)Keys.A + (int)(key - 65));

            if (key >= 48 && key <= 57)
                return (Keys)((int)Keys.D0 + (int)(key - 48));

            switch (key)
            {
                case 9:
                    return Keys.Tab;
                case 32:
                    return Keys.Space;
                case 13:
                    return Keys.Enter;
                case 8:
                    return Keys.Back;
                case 127:
                    return Keys.Escape;
            }
            return Keys.None;
        }
    }
}
