using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace ShapeBlending
{
    class SimpleLabel : SimpleControl
    {

        private string m_text = "SimpleLabel";
        private GuiLook m_look;
        private Brush m_brush = Brushes.Black;

        public string Text
        {
            get { return m_text; }
            set { m_text = value; }
        }

        public Brush Brush
        {
            get { return m_brush; }
            set { m_brush = value; }
        }

        public override void Draw(Graphics g)
        {
            // Draw text inside control rectangle.
            g.DrawString(m_text, m_look.Font, m_brush, new RectangleF( 
                0, 0, m_size.Width, m_size.Height));
        }

        public override bool CaptureMouse(int x, int y, GlutWindow window)
        {
            // Don't care about user input.
            return false;
        }

        public override bool ReleaseMouse(int x, int y)
        {
            // Always release mouse input.
            return true;
        }
        
        public SimpleLabel(GuiLook look)
        {
            m_look = look;
            m_size = new Size(80, 50);
        }
    }
}
